Bug 12760 - Notify subsystem only maps first inotify mask to Windows notify filter.
Notify subsystem only maps first inotify mask to Windows notify filter.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-27 22:35 UTC by Jeremy Allison
Modified: 2017-05-03 14:44 UTC (History)
3 users (show)

See Also:


Attachments
git-am fix for 4.6.next, 4.5.next. (1.08 KB, patch)
2017-04-28 16:01 UTC, Jeremy Allison
cs: review+
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2017-04-27 22:35:34 UTC
inotify_map_mask_to_filter incorrectly indexes an array. Found by Doug Nazar <nazard@nazar.ca>.
Comment 1 Jeremy Allison 2017-04-28 16:01:36 UTC
Created attachment 13180 [details]
git-am fix for 4.6.next, 4.5.next.

Cherry-picked from master.
Comment 2 Ralph Böhme 2017-04-28 16:17:48 UTC
Reassigning to Karolin for inclusion in 4.5 and 4.6.
Comment 3 Karolin Seeger 2017-05-02 07:51:46 UTC
(In reply to Ralph Böhme from comment #2)
Pushed to autobuild-v4-{6,5}-test.
Comment 4 Karolin Seeger 2017-05-03 14:44:56 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!